Epson WF-3640 Printer Problem

Forum rules
Before you post please read this
wm shepherd
Level 1
Level 1
Posts: 8
Joined: Tue Nov 21, 2017 11:54 pm

Epson WF-3640 Printer Problem

Postby wm shepherd » Wed Nov 22, 2017 12:27 am

would this work for wf 3640 all in one printer, i am having trouble install it on a new mint install. my once time with linux

User avatar
minitux
Level 5
Level 5
Posts: 678
Joined: Tue Sep 12, 2017 10:05 am

Re: Epson WF-3640 Printer Problem

Postby minitux » Wed Nov 22, 2017 1:38 pm

wm shepherd wrote:would this work for wf 3640 all in one printer, i am having trouble install it on a new mint install. my once time with linux


Look here
http://download.ebz.epson.net/dsc/searc ... archModule

write the model in the search bar WF-3640 and run the research , this point to all the driver for your printer
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz

wm shepherd
Level 1
Level 1
Posts: 8
Joined: Tue Nov 21, 2017 11:54 pm

Re: Epson WF-3640 Printer Problem

Postby wm shepherd » Wed Nov 22, 2017 2:22 pm

Thanks very much!!

wm shepherd
Level 1
Level 1
Posts: 8
Joined: Tue Nov 21, 2017 11:54 pm

Re: Epson WF-3640 Printer Problem

Postby wm shepherd » Wed Nov 22, 2017 5:07 pm

I installed mint18.2 ios from USB drive to hp13 stream(2gb mem,20gb ssd, Ceylon pross.) that had win 8.1 on it, at the time i connected via Wifi and had printer available(Epson WF3640), my real issue was with the latest updates with Windows and Firefox everything was real slow. After installation of mint 18.2 things started to work better, i updated to Firefox 57.0, all good. i liked the way things worked a little new but OK. Then i tried to print and no printer, i tried several things from the forum, no help .Things that i see are unable to share, something about dependence tree and other things that i cannot figure out yet. Is there a way to correct this or i need to start over with new download of ios. I get a little overwhelm with all the new terms and processes so i need a helping hand. Thank you

User avatar
minitux
Level 5
Level 5
Posts: 678
Joined: Tue Sep 12, 2017 10:05 am

Re: Epson WF-3640 Printer Problem

Postby minitux » Wed Nov 22, 2017 5:21 pm

I do not have epson printers, I tell you what I do if I had it, while you come from instructions I will install lsb

Code: Select all

sudo apt install lsb

then, for printer, if you have a 32 bit system download and install this with gdebi
epson-inkjet-printer-escpr_1.6.17-1lsb3.2_i386.deb or if you have a 64 bit system download and install this epson-inkjet-printer-escpr_1.6.17-1lsb3.2_amd64.deb from here (clic accept)
http://download.ebz.epson.net/dsc/du/02 ... 28ce00eb97

for scanner, if you have a 32 bit system

Code: Select all

wget https://download2.ebz.epson.net/iscan/general/deb/x86/iscan-bundle-1.0.4.x86.deb.tar.gz

Code: Select all

tar -zxvf iscan-bundle-1.0.4.x86.deb.tar.gz

Code: Select all

cd iscan-bundle-1.0.4.x86.deb && sudo ./install.sh


if you have a 64 bit system

Code: Select all

wget https://download2.ebz.epson.net/iscan/general/deb/x64/iscan-bundle-1.0.4.x64.deb.tar.gz

Code: Select all

tar -zxvf iscan-bundle-1.0.4.x64.deb.tar.gz

Code: Select all

cd iscan-bundle-1.0.4.x64.deb && sudo ./install.sh
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz

wm shepherd
Level 1
Level 1
Posts: 8
Joined: Tue Nov 21, 2017 11:54 pm

Re: Epson WF-3640 Printer Problem

Postby wm shepherd » Wed Nov 22, 2017 8:27 pm

I tried the install as advised here is the results.

elcamino@sharhp ~ $ sudo apt install lsb
[sudo] password for elcamino:
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
libc6-dbg : Depends: libc6 (= 2.23-0ubuntu9) but 2.23-0ubuntu7 is to be installed
lsb : Depends: lsb-core (>= 9.20160110ubuntu0.2)
Depends: lsb-printing (>= 9.20160110ubuntu0.2) but it is not going to be installed
Depends: libjpeg62 but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
elcamino@sharhp ~ $

iran f install

elcamino@sharhp ~ $ apt-get -f install
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
elcamino@sharhp ~ $

not sure what to do to 'unlock'?

thanks

User avatar
minitux
Level 5
Level 5
Posts: 678
Joined: Tue Sep 12, 2017 10:05 am

Re: Epson WF-3640 Printer Problem

Postby minitux » Thu Nov 23, 2017 1:14 am

you must use the command as root

Code: Select all

sudo apt install -f
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz

wm shepherd
Level 1
Level 1
Posts: 8
Joined: Tue Nov 21, 2017 11:54 pm

Re: Epson WF-3640 Printer Problem

Postby wm shepherd » Thu Nov 23, 2017 12:28 pm

elcamino@sharhp ~ $ sudo apt install -f
[sudo] password for elcamino:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
libc6
Suggested packages:
glibc-doc
The following packages will be upgraded:
libc6
1 upgraded, 0 newly installed, 0 to remove and 337 not upgraded.
1 not fully installed or removed.
Need to get 0 B/2,586 kB of archives.
After this operation, 4,096 B of additional disk space will be used.
Do you want to continue? [Y/n] y
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
(Reading database ... 199390 files and directories currently installed.)
Preparing to unpack .../libc6_2.23-0ubuntu9_amd64.deb ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing archive /var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb (--unpack):
subprocess new pre-installation script returned error exit status 1
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Errors were encountered while processing:
/var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
elcamino@sharhp ~ $

This what i got when i ran " sudo apt install -f"

Is this the best way to work this problem out by showing you what happens.
Really thank you all thank your help.
Bill

User avatar
minitux
Level 5
Level 5
Posts: 678
Joined: Tue Sep 12, 2017 10:05 am

Re: Epson WF-3640 Printer Problem

Postby minitux » Thu Nov 23, 2017 1:46 pm

Code: Select all

sudo dpkg --force-all -i /var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb

Code: Select all

sudo apt install -f
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz

wm shepherd
Level 1
Level 1
Posts: 8
Joined: Tue Nov 21, 2017 11:54 pm

Re: Epson WF-3640 Printer Problem

Postby wm shepherd » Thu Nov 23, 2017 2:36 pm

elcamino@sharhp ~ $ sudo dpkg --force-all -i /var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb
[sudo] password for elcamino:
(Reading database ... 199390 files and directories currently installed.)
Preparing to unpack .../libc6_2.23-0ubuntu9_amd64.deb ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing archive /var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb (--install):
subprocess new pre-installation script returned error exit status 1
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Errors were encountered while processing:
/var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb
elcamino@sharhp ~ $ sudo apt install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
libc6
Suggested packages:
glibc-doc
The following packages will be upgraded:
libc6
1 upgraded, 0 newly installed, 0 to remove and 337 not upgraded.
1 not fully installed or removed.
Need to get 0 B/2,586 kB of archives.
After this operation, 4,096 B of additional disk space will be used.
Do you want to continue? [Y/n] y
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
(Reading database ... 199390 files and directories currently installed.)
Preparing to unpack .../libc6_2.23-0ubuntu9_amd64.deb ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing archive /var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb (--unpack):
subprocess new pre-installation script returned error exit status 1
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Errors were encountered while processing:
/var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
elcamino@sharhp ~ $

how we find out what process has locked up 'config.dat'

Bill

wm shepherd
Level 1
Level 1
Posts: 8
Joined: Tue Nov 21, 2017 11:54 pm

Re: Epson WF-3640 Printer Problem

Postby wm shepherd » Thu Nov 23, 2017 3:17 pm

I checked the config.dat file and its a read only?? is that normal? to me looks like it stops because it cann't change it.

Bill

User avatar
minitux
Level 5
Level 5
Posts: 678
Joined: Tue Sep 12, 2017 10:05 am

Re: Epson WF-3640 Printer Problem

Postby minitux » Thu Nov 23, 2017 3:21 pm

Code: Select all

sudo fuser -v -k /var/cache/debconf/config.dat
and retry

Code: Select all

sudo dpkg --force-all -i /var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb

Code: Select all

sudo apt install -f


wm shepherd wrote:I checked the config.dat file and its a read only?? is that normal? to me looks like it stops because it cann't change it.

It's normal that is a system file, not of the user
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz

wm shepherd
Level 1
Level 1
Posts: 8
Joined: Tue Nov 21, 2017 11:54 pm

Re: Epson WF-3640 Printer Problem

Postby wm shepherd » Thu Nov 23, 2017 6:44 pm

elcamino@sharhp ~ $ sudo fuser -v -k /var/cache/debconf/config.dat
[sudo] password for elcamino:
USER PID ACCESS COMMAND
/var/cache/debconf/config.dat:
root 3561 F.... dpkg-preconfigu
elcamino@sharhp ~ $ sudo dpkg --force-all -i /var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb
(Reading database ... 199390 files and directories currently installed.)
Preparing to unpack .../libc6_2.23-0ubuntu9_amd64.deb ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing archive /var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb (--install):
subprocess new pre-installation script returned error exit status 1
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Errors were encountered while processing:
/var/cache/apt/archives/libc6_2.23-0ubuntu9_amd64.deb
elcamino@sharhp ~ $

looks like same results, didn't try the install
Bill

User avatar
minitux
Level 5
Level 5
Posts: 678
Joined: Tue Sep 12, 2017 10:05 am

Re: Epson WF-3640 Printer Problem

Postby minitux » Fri Nov 24, 2017 3:13 am

Try to rename the file

Code: Select all

sudo mv /var/cache/debconf/config.dat /var/cache/debconf/config.dat.bak

Code: Select all

sudo apt clean

Code: Select all

sudo apt update

Then run mintupdate and apply the upgrade of packages

In the end try to reinstall lsb

Code: Select all

sudo apt install --reinstall lsb
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz


Return to “Printers & Scanners”